Modernizr.addTest('orientation', function() {
    return Modernizr.hasEvent('onorientationchange', window);
});

getOrientation = function() {
    if (!Modernizr.orientation) {
        if ($(window).width() > $(window).height()) {
           orientation = 'landscape';
        } else {
            orientation = 'portrait';
        }
    } else {
        if (window.orientation == 0 || window.orientation == 180) {
            orientation = 'portrait';
        } else {
            orientation = 'landscape';
        };
    }
    $('html').removeClass('portrait landscape').addClass(orientation);
}
window.orientationPID = setInterval(getOrientation, 250);



var f = new randomC(config_data);
var cards = new Deck(config_data);

var indirizzo = document.location.href;

query=decodeURI(indirizzo).replace(/^.*\?(.*)$/, "$1");
var tipo_mazzi=query.split("#");
var rep = tipo_mazzi[tipo_mazzi.length-2];

idf=new Array();
for (var id in initial_data)
{
	p=false;
	for (var idc in tipo_mazzi)
	{
		if (tipo_mazzi[idc]==initial_data[id].mazzo)
		{
			p=true;
		}
	}
	if (p)
	{
		idf.push(initial_data[id]);
	}
}

if(f['randomCard']) 
{	
	cards.reset(idf.sort(randomFunct));
}
else
{
	cards.reset(idf);
}

var config = new Config(config_data);
var deck = new DeckView({
    el: $('#deck'),
    collection: cards
	}).render();

deck.start();

if (rep=="singola")
{
	$('#counter').html("<a id=\"checkBtn\" class=\"individual\" href=\"\"><span>GIUSTO</span></a>")
	$('#sqA').html("<td class=\"sq\"></th><td class=\"correct\"></td><td class=\"total\"></td>");
}
else if( rep="doppia")
{
	$('#counter').html("<a id=\"checkBtn\" href=\"\">Squadra <span id=\"ckA\">A</span></a><a id=\"checkBtn2\" href=\"\">Squadra <span id=\"ckB\">B</span></a>");
	$('#sqA').html("<td class=\"sq\">SQUADRA A</th><td class=\"correct\"></td><td class=\"total\"></td>");
	$('#sqB').html("<td class=\"sq\">SQUADRA B</th><td class=\"correct2\"></td><td class=\"total2\"></td>");
}


function randomC(d,f) 
{
	this.randomCard=d['randomCard'];
}


function randomFunct() 
{  
    return 0.5 - Math.round(Math.random());  
}

function randomClick()
{
	window.location.reload();
}