var Counter = Backbone.Model.extend({
    initialize: function(options) {
        this.hits = {}
		 this.hits2 = {}
        this.setHits(options.hits_collection)
		this.setHits2(options.hits_collection2)
    },
    setHits: function(collection) {
        this.hits_collection = collection
        _.each(collection, function(item) {
            this.hits[item.id] = false;
        }, this)
    },
	setHits2: function(collection2) {
        this.hits_collection2 = collection2
        _.each(collection2, function(item) {
            this.hits2[item.id] = false;
        }, this)
    },
    incr: function(model) {
        this.hits[model.id] = true;
        this.trigger('incr');
		
    },
	incr2: function(model2) {
		this.hits2[model2.id] = true;
		this.trigger('incr2');
	},
    clear: function() {
        this.setHits(this.hits_collection);
    },
	clear2: function() {
        this.setHits2(this.hits_collection2);
    },
    count: function() {
        return _.keys(this.hits).length;
    },
	count2: function() {
        return _.keys(this.hits2).length;
    }
});
